vlib work
vcom -explicit  -93 "iodll_src/pkg_dll_reco_r1.0.vhd"
vcom -explicit  -93 "iodll_src/lock_count_r1.0.vhd"
vcom -explicit  -93 "iodll_src/fifo_ctrl_r1.2.vhd"
vcom -explicit  -93 "iodll_src/dll_osc_r1.0.vhd"
vcom -explicit  -93 "iodll_src/dll_config_r1.0.vhd"
vcom -explicit  -93 "iodll_src/clk_adjust_r1.0.vhd"
vcom -explicit  -93 "src/wrrd_fifo_r1.0.vhd"
vcom -explicit  -93 "src/reset_cleaner_r1.0.vhd"
vcom -explicit  -93 "src/prbs_5_2v7_x7_x6_r1.0.vhd"
vcom -explicit  -93 "src/prbs_5_2v7_x7_x6_check_r1.0.vhd"
vcom -explicit  -93 "iodll_src/io_dll_r1.0.vhd"
vcom -explicit  -93 "src/dly_ctrl_r1.0.vhd"
vcom -explicit  -93 "src/clocking_test_iodll_r1.0.vhd"
vcom -explicit  -93 "src/clk_out_r1.0.vhd"
vcom -explicit  -93 "src/io_dll_top_r1.0.vhd"
vcom -explicit  -93 "tb/tb_io_dll_top.vhd"
vsim -t 1ps   -lib work tb_io_dll_top
view wave


onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -format Logic /tb_io_dll_top/CLK_200M_P
add wave -noupdate -format Logic /tb_io_dll_top/REFCLK_P
add wave -noupdate -format Literal /tb_io_dll_top/uut/dll_multiply
add wave -noupdate -format Literal /tb_io_dll_top/uut/target_frequency
add wave -noupdate -format Literal /tb_io_dll_top/uut/iodll/clock_buffer
add wave -noupdate -format Logic /tb_io_dll_top/CLKDLL_OUT_SMA_P
add wave -noupdate -format Logic /tb_io_dll_top/CLKREF_OUT_P
add wave -noupdate -format Logic /tb_io_dll_top/IDLAYRDY
add wave -noupdate -format Logic /tb_io_dll_top/ERROR
add wave -noupdate -format Literal /tb_io_dll_top/TOGGLE
add wave -noupdate -format Logic /tb_io_dll_top/LOCK_DCM
add wave -noupdate -format Logic /tb_io_dll_top/LOCK_DLL
add wave -noupdate -divider Oscillator
add wave -noupdate -format Logic /tb_io_dll_top/uut/iodll/configurable_dll/osc_core/DLL_CLK
add wave -noupdate -format Literal -radix unsigned /tb_io_dll_top/uut/iodll/configurable_dll/osc_core/tap_cnt
add wave -noupdate -format Logic /tb_io_dll_top/uut/iodll/configurable_dll/osc_core/FASTER
add wave -noupdate -format Logic /tb_io_dll_top/uut/iodll/configurable_dll/osc_core/SLOWER
add wave -noupdate -divider Osc-Control
add wave -noupdate -format Logic /tb_io_dll_top/uut/iodll/clk_adjuster/i_fifo_ctrl/up_coarse
add wave -noupdate -format Logic /tb_io_dll_top/uut/iodll/clk_adjuster/i_fifo_ctrl/down_coarse
add wave -noupdate -format Logic /tb_io_dll_top/uut/iodll/clk_adjuster/i_fifo_ctrl/coarse_done
add wave -noupdate -format Literal /tb_io_dll_top/uut/iodll/clk_adjuster/i_fifo_ctrl/level_int
add wave -noupdate -format Analog-Step -height 80 -offset 40.0 -radix decimal /tb_io_dll_top/uut/iodll/clk_adjuster/i_fifo_ctrl/debug_dist
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {52500000 ps} 0}
configure wave -namecolwidth 187
configure wave -valuecolwidth 63
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
update
WaveRestoreZoom {0 ps} {73500 ns}
run 40 us